Debian Bug report logs - #597939
knotes: Knotes doesn't restore position and dimension of the notes

version graph

Package: knotes; Maintainer for knotes is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for knotes is src:kdepim.

Reported by: luigi <luigi_curzi@yahoo.it>

Date: Fri, 24 Sep 2010 11:42:01 UTC

Severity: normal

Tags: fixed-upstream, jessie, sid, squeeze, upstream, wheezy

Found in version kdepim/4:4.4.6-1

Forwarded to https://bugs.kde.org/show_bug.cgi?id=201088, merged-upstream: http://bugs.kde.org/show_bug.cgi?id=196977

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#597939; Package knotes. (Fri, 24 Sep 2010 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to luigi <luigi_curzi@yahoo.it>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 24 Sep 2010 11:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: luigi <luigi_curzi@yahoo.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: knotes: Knotes doesn't restore position and dimension of the notes
Date: Fri, 24 Sep 2010 13:38:24 +0200
Package: knotes
Version: 4:4.4.6-1
Severity: normal
Tags: sid squeeze

this bug is self-explanatory: if i change dimension and/or position of a note, after a reboot it returns to the default dimension of newly created note and/or in a different position (not the default).
i deleted configuration files, but the error persists.
i have same problem with 4.4.5 version of knotes.

this is the contents of knotesrc:

[Alarms]
AlarmsLastChecked=2010,9,24,13,16,26

[Editor]
richtext=true
tabsize=2

[General]
version=3.9

and this is the configuration file of a note:

[Display]
bgcolor=255,221,0
height=206
width=413

[Editor]
ReadOnly=true
richtext=true
tabsize=2

[General]
version=3.9

[WindowDisplay]
desktop=1
position=23,588

thanks in advance

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (850, 'unstable'), (500, 'testing-proposed-updates')
Architecture: i386 (i686)

Kernel: Linux 2.6.35.4.20102708.1 (PREEMPT)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages knotes depends on:
ii  kdebase-runtime             4:4.4.5-1    runtime components from the offici
ii  kdepim-runtime              4:4.4.6-1    Runtime components for akonadi-kde
ii  libc6                       2.11.2-5     Embedded GNU C Library: Shared lib
ii  libkabc4                    4:4.4.5-1    library for handling address book 
ii  libkcal4                    4:4.4.5-1    library for handling calendar data
ii  libkdecore5                 4:4.4.5-1    the KDE Platform Core Library
ii  libkdepim4                  4:4.4.6-1    KDE PIM library
ii  libkdeui5                   4:4.4.5-1    the KDE Platform User Interface Li
ii  libkdnssd4                  4:4.4.5-1    the DNS-SD Protocol Library for th
ii  libkio5                     4:4.4.5-1    the Network-enabled File Managemen
ii  libkontactinterface4        4:4.4.5-1    Kontact interface library
ii  libkparts4                  4:4.4.5-1    the Framework for the KDE Platform
ii  libkresources4              4:4.4.5-1    the KDE Resource framework library
ii  libkutils4                  4:4.4.5-1    various utility classes for the KD
ii  libqt4-dbus                 4:4.6.3-1+b1 Qt 4 D-Bus module
ii  libqt4-network              4:4.6.3-1+b1 Qt 4 network module
ii  libqt4-xml                  4:4.6.3-1+b1 Qt 4 XML module
ii  libqtcore4                  4:4.6.3-1+b1 Qt 4 core module
ii  libqtgui4                   4:4.6.3-1+b1 Qt 4 GUI module
ii  libstdc++6                  4.4.4-8      The GNU Standard C++ Library v3
ii  libx11-6                    2:1.3.3-3    X11 client-side library

knotes recommends no packages.

Versions of packages knotes suggests:
ii  kdepim-kresources             4:4.4.6-1  KDE PIM resource plugins

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#597939; Package knotes. (Sun, 26 Sep 2010 07:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to luigi curzi <luigi_curzi@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 26 Sep 2010 07:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 597939@bugs.debian.org (full text, mbox):

From: luigi curzi <luigi_curzi@yahoo.it>
To: 597939@bugs.debian.org
Subject: strange behaviour
Date: Sun, 26 Sep 2010 09:05:55 +0200
i discovered a strange behaviour: i created e new note; after a
reboot, first note is restored in right way (unchanged position and
dimension), but not the second note.

--
Luigi Curzi




Added tag(s) moreinfo. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 27 Sep 2010 11:33:08 GMT) Full text and rfc822 format available.

Information stored :
Bug#597939; Package knotes. (Mon, 27 Sep 2010 11:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
Extra info received and filed, but not forwarded. (Mon, 27 Sep 2010 11:33:11 GMT) Full text and rfc822 format available.

Message #17 received at 597939-quiet@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: 597939-quiet@bugs.debian.org, 597939-submitter@bugs.debian.org
Subject: Re: knotes: Knotes doesn't restore position and dimension of the notes
Date: Mon, 27 Sep 2010 13:28:21 +0200
tags 597939 + moreinfo
thanks

Hi,

you reported http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597939 some time 
ago. Can you please close knotes *completely*, then re-run it without logging 
out before, and tell if you can see the wrong behaviour as well?
If no, this points to a session restore issue.

Eckhart




Message sent on to luigi <luigi_curzi@yahoo.it>:
Bug#597939. (Mon, 27 Sep 2010 11:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#597939; Package knotes. (Mon, 27 Sep 2010 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to luigi curzi <luigi_curzi@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 27 Sep 2010 11:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 597939@bugs.debian.org (full text, mbox):

From: luigi curzi <luigi_curzi@yahoo.it>
To: 597939@bugs.debian.org
Subject: without logging out it works
Date: Mon, 27 Sep 2010 13:46:22 +0200
if i closed completely knotes and, without logging out, i restarted it,
positions and dimensions are restored in right way

PS: you can (can i?) close other bug, it is a mistake.

-- 
Luigi Curzi




Set Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=201088'. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 13:03:05 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 13:03:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 13:03:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:45 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=201088, merged-upstream: http://bugs.kde.org/show_bug.cgi?id=196977' from 'https://bugs.kde.org/show_bug.cgi?id=201088' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Feb 2013 17:09:26 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Feb 2013 17:09:27 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:41:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:17:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.